--- title: "GetMigrationJobList" slug: "getmigrationjoblist" tags: ["Object Migration"] updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/getmigrationjoblist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetMigrationJobList Available in Classic and VPC Get the list of migration policies. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /migration-api/v1/policies | ### Request headers For information about the headers common to all Object Migration APIs, see [Object Migration request headers](/docs/en/objectmigrationoverview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `order` | String | Optional | Sort target - `createTime` (default) \| `updateTime` \| `title` \| `sourceBucketName` \| `targetBucketName` - `createTime`: Policy creation date and time - `updateTime`: Policy update date and time - `title`: Migration policy name - `sourceBucketName`: Source bucket name - `targetBucketName`: Target bucket name | | `sortBy` | String | Optional | Sort order - `asc` (default) \| `desc` - `asc`: Ascending order - `desc`: Descending order | | `limit` | Integer | Optional | Number of items per page - 1-N (default: 100) | | `page` | Integer | Optional | Page number - 0-N (default: 0) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://objectmigration.apigw.ntruss.com/migration-api/v1/policies?order=title&sortBy=asc&limit=3&page=0' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `objStrContracted` | Boolean | - | Object Storage service subscription status | | `num` | Integer | - | Number of migration policies | | `jobList` | Array | - | Migration policy list: [jobList](/docs/en/getmigrationjoblist#jobList) | #### `jobList` The following describes `jobList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `title` | String | - | Migration policy name | | `sourceBucketName` | String | - | Source bucket name | | `sourceRegionName` | String | - | Source Region code | | `sourceCspType` | String | - | Source CSP type - `AWS` \| `Azure` | | `sourceEndpoint` | String | - | Source endpoint | | `sourcePrefix` | String | - | Source data prefix - Detailed path and separator in the bucket | | `targetBucketName` | String | - | Target bucket name | | `targetRegionName` | String | - | Target Region code | | `targetEndpoint` | String | - | Target endpoint | | `targetPrefix` | String | - | Prefix - Detailed path and separator in the bucket | | `jobState` | String | - | Job status - `INITIALIZED` \| `STARTED` \| `PAUSED` \| `DELETED` \| `DONE` \| `ERROR` - `INITIALIZED`: Ready - `STARTED`: Migrating - `PAUSED`: Stopped - `DELETED`: Deleted - `DONE`: Completed - `ERROR`: Error | | `createTime` | String | - | Policy creation date and time - ISO 8601 format | | `updateTime` | String | - | Policy update date and time - ISO 8601 format | | `estimatedDone` | Boolean | - | Source object listing completion status - `true` \| `false` - `true`: Complete - `false`: Incomplete | | `estimatedSize` | Number | - | Total capacity of source data | | `migratedSize` | Number | - | Migrated data capacity | | `skippedSize` | Integer | - | Unmigrated data capacity | | `estimatedObjectNum` | Integer | - | Source object count | | `migratedObjectNum` | Integer | - | Migrated object count | | `skippedObjectNum` | Integer | - | Unmigrated object count | ### Response status codes For information about the HTTP status codes common to all Object Migration APIs, see [Object Migration response status codes](/docs/en/objectmigrationoverview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "objStrContracted": true, "num": 1, "jobList": [ { "title": "policy", "sourceBucketName": "migration135", "sourceRegionName": "ap-southeast-2", "sourceCspType": "AWS", "sourceEndpoint": "https://s3.ap-southeast-2.amazonaws.com", "sourcePrefix": "", "targetBucketName": "databucket", "targetRegionName": "KR", "targetEndpoint": "https://kr.object.ncloudstorage.com", "targetPrefix": "", "jobState": "INITIALIZED", "createTime": "2025-07-15T00:32:36.480+00:00", "updateTime": "2025-07-15T00:32:36.480+00:00", "estimatedDone": false, "estimatedSize": 0, "migratedSize": 0, "skippedSize": 0, "estimatedObjectNum": 0, "migratedObjectNum": 0, "skippedObjectNum": 0 } ] } ```